Bug 77252 - no network (pcmcia) on wake from sleep
Summary: no network (pcmcia) on wake from sleep
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: net-tools   
(Show other bugs)
Version: 8.0
Hardware: i686
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Phil Knirsch
QA Contact: Ben Levenson
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-11-04 10:05 UTC by Shoshannah Forbes
Modified: 2015-03-05 01:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-04-20 14:25:27 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
The result of the commands before sleep (good network) (10.61 KB, text/plain)
2003-02-01 08:53 UTC, Shoshannah Forbes
no flags Details
the result after sleep- dead network (3.23 KB, text/plain)
2003-02-01 08:54 UTC, Shoshannah Forbes
no flags Details

Description Shoshannah Forbes 2002-11-04 10:05:29 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Macintosh; U; PPC Mac OS X; en-US; rv:1.0.1)
Gecko/20021030 Chimera/0.5+

Description of problem:
Dell inspiron 7000 laptop, with 3com pcmcia network card:
Network works fine untill the laptop goes to sleep. When it wakes, the network
is gone. Going to the Network configuration and attempting to re-activate
decive, gives an error:
can not activate network device on eth0 
log oof/log on again does nothing. after reboot it goes back to normal

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. laptop goes to sleep 
2. network became de-activated
3. try to re-actiate
	

Actual Results:  can't get the ntwork card to re-activate

Expected Results:  the network should not stop working on sleep

Additional info:

Linux newbie here- when asked in mailinglist what to do- was sent to file a bug
here. did a sarch and didn't find anything. Hoping that I am not making a fool
out of myself...
:-)

Comment 1 Phil Knirsch 2002-11-04 16:01:17 UTC
It would be interesting what the output of the commands

  lsmod
  ifconfig -a

before and after a sleep/wakeup look like.

I suspect it's an initscript and/or hotplug problem rather than a net-tools one.

Thanks,

Read ya, Phil

Comment 2 Shoshannah Forbes 2003-02-01 08:53:17 UTC
Created attachment 89759 [details]
The result of the commands before sleep (good network)

Comment 3 Shoshannah Forbes 2003-02-01 08:54:25 UTC
Created attachment 89760 [details]
the result after sleep- dead network

Comment 4 Phil Knirsch 2004-04-20 14:25:27 UTC
Hm, looks really like hotplug doesn't reactivate the interface after
wakeup, e.g. that the kernel might not even get a hotplug event from
the laptop resp it's network card.

This can happen on some laptops, and unfortunately the only solution
for now is to restart the network manually via

service network restart

from a root shell.

Hope that helps,

Read ya, Phil


Note You need to log in before you can comment on or make changes to this bug.